l/cairomm: Upgraded to cairomm-1.8.4.

l/pangomm:  Added pangomm-2.14.1.
gnome/gtkmm:  Upgraded to gtkmm-2.14.5.
This commit is contained in:
Damien Goutte-Gattat 2009-12-31 21:25:34 +01:00
parent 47537077c0
commit e3fbc953a5
11 changed files with 322 additions and 177 deletions

View File

@ -1 +0,0 @@
ee7211c99e860c4b22091e81e6d1676d12fbb23c ./gtkmm-2.12.7.tar.bz2

View File

@ -0,0 +1 @@
0945e068cec6c4b5637baf9503a3c4b4939558dd gtkmm-2.14.5.tar.bz2

View File

@ -1,109 +1,123 @@
#!/bin/sh
#!/bin/bash
# Build script for Slackware
# by: Parein Nicolas "_Hitek_" http://www.slackbuilds.net < hitek at slackbuilds dot net >
# Copyright (C) 2009 Damien Goutte-Gattat
#
# Copyright: See COPYING file at http://www.slackbuilds.net/COPYING
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# Latest gtkmm sourcecode is available at:
# http://www.gtkmm.org
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# Depends: gnome/libsigc++, gnome/glibmm, l/cairomm
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest gtkmm sourcecode is available at: <http://www.gtkmm.org/>.
#
# Depends: gnome/glibmm, l/cairomm, l/pangomm
## Fill these variables to your needs ##
# Source package infos
NAMESRC=${NAMESRC:-gtkmm}
VERSION=${VERSION:-2.12.7}
EXT=${EXT:-tar.bz2}
NAMETGZ=${NAMETGZ:-gtkmm}
BUILD=${BUILD:-1_SBn}
VERSION=${VERSION:-2.14.5}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-ftp://ftp.gnome.org/pub/gnome/sources/gtkmm/2.14/$ARCHIVE}
# Built package infos
NAMEPKG=${NAMEPKG:-gtkmm}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-i486}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
ARCH=${ARCH:-i486}
WGET=${WGET:-ftp://ftp.gnome.org/pub/gnome/sources/gtkmm/2.12/$NAMESRC-$VERSION.$EXT}
########################################
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e
if [ ! -r $NAMESRC-$VERSION.$EXT ]; then
wget "$WGET"
fi
sha1sum -c $NAMESRC-$VERSION.$EXT.sha1
CWD=`pwd`
PKG=$TMP/build/$NAMETGZ
NAME=`tar ft $NAMESRC-$VERSION.$EXT | head -1 | awk -F/ '{ print $1 }'`
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mtune=i686"
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2"
fi
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You shouldn't run this SlackBuild as ROOT !"
exit 1
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP doesn't exist or is not a directory !"
exit 1
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Build the software
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $NAMESRC-$VERSION.$EXT..."
tar xf $CWD/$NAMESRC-$VERSION.$EXT
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$SLKCFLAGS \
CXXFLAGS=$SLKCFLAGS \
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--disable-static \
--build=$ARCH-slackware-linux
make -j3
make install DESTDIR=$PKG
# Install a slack-desc
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
# Install a doinst.sh, if it exists
if [ -r $CWD/doinst.sh ]; then
cat $CWD/doinst.sh > $PKG/install/doinst.sh
fi
--libdir=/usr/lib$LIBDIRSUFFIX
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMETGZ-$VERSION
install -m 644 \
AUTHORS ChangeLog CHANGES COPYING README \
$PKG/usr/doc/$NAMETGZ-$VERSION
mv $PKG/usr/share/doc/gtkmm-2.4 $PKG/usr/doc/$NAMETGZ-$VERSION
rm -rf $PKG/usr/share/doc
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS CHANGES COPYING* ChangeLog NEWS PORTING README* \
$PKG/usr/doc/$NAME
# Strip binaries and libraries
find $PKG | xargs file | grep "ELF 32-bit LSB executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || echo "No ELF 32-bit LSB executable to strip"
find $PKG | xargs file | grep "shared object" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || echo "No shared object to strip"
# Move HTML documentation to the right place
mv $PKG/usr/share/doc/gtkmm-2.4/docs $PKG/usr/doc/$NAME
rmdir $PKG/usr/share/doc/gtkmm-2.4 $PKG/usr/share/doc
sed -i "s,link=\"../../../doc/gtkmm-2.4,link=\"/usr/doc/$NAME," \
$PKG/usr/share/devhelp/books/gtkmm-2.4/gtkmm-2.4.devhelp
# Build the package
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMETGZ-$VERSION-$ARCH-$BUILD.tgz
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
su -c "$PACKAGING"
fi

View File

@ -1,10 +1,3 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gtkmm: gtkmm (a C++ interface for GTK+2)
gtkmm:
@ -12,8 +5,8 @@ gtkmm: gtkmm is the official C++ interface for the popular GUI library
gtkmm: GTK+2. Highlights include typesafe callbacks, and a comprehensive
gtkmm: set of widgets that are easily extensible via inheritance.
gtkmm:
gtkmm: For more information, see: http://www.gtkmm.org
gtkmm: See <http://www.gtkmm.org/>.
gtkmm:
gtkmm:
gtkmm:
gtkmm:
gtkmm:

View File

@ -1 +0,0 @@
6ff150e2380a334e78e80b88edbcc9ad9ddb77fd ./cairomm-1.4.8.tar.gz

View File

@ -0,0 +1 @@
fdea579f406261881a0f4f6242a3980aecef382d cairomm-1.8.4.tar.gz

View File

@ -1,114 +1,124 @@
#!/bin/sh
#!/bin/bash
# Build script for Slackware
# by: Parein Nicolas "_Hitek_" http://www.slackbuilds.net < hitek at slackbuilds dot net >
# Copyright (C) 2009 Damien Goutte-Gattat
#
# Copyright: See COPYING file at http://www.slackbuilds.net/COPYING
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest cairomm sourcecode is available at:
# http://cairographics.org/cairomm/
# <http://www.cairographics.org/cairomm/>.
#
# Depends: gnome/libsigc++
## Fill these variables to your needs ##
# Source package infos
NAMESRC=${NAMESRC:-cairomm}
VERSION=${VERSION:-1.4.8}
EXT=${EXT:-tar.gz}
NAMETGZ=${NAMETGZ:-cairomm}
BUILD=${BUILD:-1_SBn}
VERSION=${VERSION:-1.8.4}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.gz}
WGET=${WGET:-http://www.cairographics.org/releases/$ARCHIVE}
# Built package infos
NAMEPKG=${NAMEPKG:-cairomm}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-i486}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
ARCH=${ARCH:-i486}
TARGET=${TARGET:-i486}
WGET=${WGET:-http://cairographics.org/releases/$NAMESRC-$VERSION.$EXT}
########################################
set -e
if [ ! -r $NAMESRC-$VERSION.$EXT ]; then
rm -f $NAMESRC-$VERSION.$EXT.part
wget -vc $WGET -O $NAMESRC-$VERSION.$EXT.part
mv $NAMESRC-$VERSION.$EXT.part $NAMESRC-$VERSION.$EXT
fi
sha1sum -c $NAMESRC-$VERSION.$EXT.sha1
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
PKG=$TMP/build/$NAMETGZ
NAME=$(tar ft $NAMESRC-$VERSION.$EXT | head -n 1 | awk -F/ '{ print $1 }')
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mtune=i686"
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
if [ "$(id -u)" = "0" ]; then
echo "You shouldn't run this SlackBuild as ROOT !"
exit 1
fi
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP doesn't exist or is not a directory !"
exit 1
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Build the software
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $NAMESRC-$VERSION.$EXT..."
tar xf $CWD/$NAMESRC-$VERSION.$EXT
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$SLKCFLAGS \
CXXFLAGS=$SLKCFLAGS \
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--disable-static \
--build=$TARGET-slackware-linux
make -j3
make install DESTDIR=$PKG
# Install a slack-desc
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
# Install a doinst.sh, if it exists
if [ -r $CWD/doinst.sh ]; then
cat $CWD/doinst.sh > $PKG/install/doinst.sh
fi
--libdir=/usr/lib$LIBDIRSUFFIX
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAMETGZ-$VERSION
install -p -m 644 \
AUTHORS COPYING MAINTAINERS README \
$PKG/usr/doc/$NAMETGZ-$VERSION
mv $PKG/usr/share/doc/libcairomm-1.0 $PKG/usr/doc/$NAMETGZ-$VERSION
rm -rf $PKG/usr/share
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING ChangeLog MAINTAINERS NEWS README \
$PKG/usr/doc/$NAME
# Strip binaries and libraries
find $PKG -type f | xargs file | grep "LSB executable" | cut -f 1 -d : | xargs \
strip --strip-unneeded 2> /dev/null || echo "No binaries to strip"
find $PKG -type f | xargs file | grep "shared object" | cut -f 1 -d : | xargs \
strip --strip-unneeded 2> /dev/null || echo "No shared objects to strip"
find $PKG -type f | xargs file | grep "current ar archive" | cut -f 1 -d : | \
xargs strip -g 2> /dev/null || echo "No archives to strip"
# Move HTML documentation to the right place
mv $PKG/usr/share/doc/cairomm-1.0 $PKG/usr/doc/$NAME/docs
rmdir $PKG/usr/share/doc
sed -i "s,base=\"[^\"]\+\",base=\"/usr/doc/$NAME/docs/reference/html\"," \
$PKG/usr/share/devhelp/books/cairomm-1.0/cairomm-1.0.devhelp2
# Build the package
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMETGZ-$VERSION-$ARCH-$BUILD.tgz
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if [ "$(which fakeroot 2> /dev/null)" ]; then
echo "$PACKAGING" | fakeroot
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
su -c "$PACKAGING"
fi

View File

@ -1,10 +1,3 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
cairomm: cairomm (a C++ wrapper for cairo)
cairomm:
@ -12,8 +5,8 @@ cairomm: Cairomm is a C++ wrapper for the cairo graphics library. It offers
cairomm: all the power of cairo with an interface familiar to C++ developers,
cairomm: including use of the Standard Template Library where it makes sense.
cairomm:
cairomm: For more information, see: http://cairographics.org/cairomm/
cairomm: See <http://cairographics.org/cairomm/>.
cairomm:
cairomm:
cairomm:
cairomm:
cairomm:

View File

@ -0,0 +1 @@
f439962a9e1d10ee3327cc1f393a43818f765fe3 pangomm-2.14.1.tar.bz2

122
l/pangomm/pangomm.SlackBuild Executable file
View File

@ -0,0 +1,122 @@
#!/bin/bash
# Build script for Slackware
# Copyright (C) 2009 Damien Goutte-Gattat
#
# Redistribution and use of this script, with or without modifications,
# is permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# Contact: Damien Goutte-Gattat <dgouttegattat@incenp.org>
#
# Latest pangomm sourcecode is available at: <http://www.gtkmm.org/>.
#
# Depends: l/cairomm, gnome/glibmm
# Source package infos
NAMESRC=${NAMESRC:-pangomm}
VERSION=${VERSION:-2.14.1}
ARCHIVE=${ARCHIVE:-$NAMESRC-$VERSION.tar.bz2}
WGET=${WGET:-ftp://ftp.gnome.org/pub/gnome/sources/pangomm/2.14/$ARCHIVE}
# Build infos
NAMEPKG=${NAMEPKG:-pangomm}
BUILD=${BUILD:-1GGD}
ARCH=${ARCH:-i486}
JOBS=${JOBS:-1}
EXT=${EXT:-txz}
# Directories
TMP=${TMP:-/tmp}
OUT=${OUT:-$TMP/build}
PKG=${PKG:-$OUT/$NAMEPKG}
CWD=$(pwd)
set -e # Quit if a command returns non-zero
# Sanity checks
if [ $UID -eq 0 ]; then
echo "You should NOT run this script as ROOT!"
exit 1
fi
if [ ! -d $TMP ]; then
echo "$TMP does not exist or is not a directory!"
exit 1
fi
# Compilation flags
LIBDIRSUFFIX=""
case "$ARCH" in
i?86)
CPUOPT="-O2 -march=$ARCH -mtune=i686"
;;
x86_64)
CPUOPT="-O2 -fPIC"
LIBDIRSUFFIX="64"
;;
*)
CPUOPT="-O2"
;;
esac
# Get and verify the source archive
if [ ! -r $ARCHIVE ]; then
wget -c -O $ARCHIVE.part "$WGET"
mv $ARCHIVE.part $ARCHIVE
fi
sha1sum -c $ARCHIVE.sha1
NAME=$(tar ft $ARCHIVE | head -n 1 | cut -d / -f 1)
# Compile
cd $TMP
echo "Building $ARCHIVE..."
tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS=$CPUOPT \
CXXFLAGS=$CPUOPT \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX
make -j $JOBS
make install-strip DESTDIR=$PKG
# Install the documentation
mkdir -p $PKG/usr/doc/$NAME
install -m 644 AUTHORS COPYING* ChangeLog NEWS README* $PKG/usr/doc/$NAME
# Move the documentation to the right place
mv $PKG/usr/share/doc/pangomm-1.4/docs $PKG/usr/doc/$NAME
rmdir $PKG/usr/share/doc/pangomm-1.4 $PKG/usr/share/doc
sed -i "s,link=\"../../../doc/pangomm-1.4,link=\"/usr/doc/$NAME," \
$PKG/usr/share/devhelp/books/pangomm-1.4/pangomm-1.4.devhelp
# Copy slack-desc file
install -D -m 644 $CWD/slack-desc $PKG/install/slack-desc
# Package the tree
cd $PKG
mkdir -p $OUT
PACKAGING="
chown root:root . -R
/sbin/makepkg -l y -c n $OUT/$NAMEPKG-$VERSION-$ARCH-$BUILD.$EXT
rm -rf $PKG
rm -rf $TMP/$NAME
"
if type -p fakeroot ; then
echo "$PACKAGING" | fakeroot
else
su -c "$PACKAGING"
fi

12
l/pangomm/slack-desc Normal file
View File

@ -0,0 +1,12 @@
|-----handy-ruler------------------------------------------------------|
pangomm: pangomm (pango C++ bindings)
pangomm:
pangomm: This is pangomm, a C++ API for Pango.
pangomm:
pangomm: See <http://www.gtkmm.org/>.
pangomm:
pangomm:
pangomm:
pangomm:
pangomm:
pangomm: